Bank Kalteng (Phase 2) - Bug #1552

[Performance Management] - Import Export
09/05/2022 11:06 AM - Fiona Avangeline Jonathan

Status: Closed

Priority: Urgent

Assignee: Fiona Avangeline Jonathan
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

09/05/2022

0%
0.00 hour
2.00 hours

Description
Mang Wanto,

Mohon dibantu untuk tombol import export di BKT belum berjalan.

=

Im My Workplace

I Master Data

I HR Administration

I Budgeting

B Compensation

Performance Appraisal

Import Performance Data

1. PHRPAQ047
2. PHRPAO0048
3. PHRPAO0049
4. PHRPAO0O051

Terima kasih.

Port: hitp://103.168.134.28:61730

History

#1 - 09/05/2022 02:30 PM - Fiona Avangeline Jonathan

- Description updated

#2 - 09/09/2022 10:48 AM - Fiona Avangeline Jonathan
- Description updated

#3 - 09/09/2022 04:19 PM - Fiona Avangeline Jonathan
- File clipboard-202209091618-nrgze.png added
- File clipboard-202209091619-a3n4h.png added

Berikut penambahan setting-an untuk export Performance Data.
1. Setting di MDLIST untuk mendaftarkan module type beserta table name.
http://103.168.134.28:61730

HRIS-DATABASE.Mi...dbo.PCMEPMDLIST < RgliioRiy ril=Fiket S8 e 13200 3 oo =1 ey o HRIS-DATABASE.Mi...dbo.PCUSTPROFILE HRIS-DATABASE.Mi...dbo. SUSERPROFILE

Column Alias Table Outp... Sort Type Sort Order Filter Or.. Or.. Or.. G
b ModuleType PCMEPM...
Language PCMEPM... A hd
ModuleType Language TableMame LabelMame Sequence LayoutType CustomLayout LastRecord Mandatory Motes Cr
» PM EM PHRPADNMT Performance Master Data Header 1 L003 NULL mit
PM EM PHRPADNME Performance Appraiser 2 L003 NULL mit
PM EM PHRPAOMMSG Performance KPI 3 L003 NULL mit
PM EN PHRPADDS1 Perfermance Competency 4 L0032 NULL mit
PM DM PHRPADNMT Performance Master Data Header 1 L0O3 NULL mit
PM 1DM PHRPAONME  Performance Appraiser 2 L003 NULL mit
PM DM PHRPADNMS Perforrance KPI 3 L003 NULL mit
PM DM PHRPAQD31 Performance Competency 4 L003 NULL mit
. NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NU

2. Setting di GENPARAM untuk module type tersebut.
(LN N e VST SN FAY R HRIS- DATABASE.Mi...dbo.PCMEPMDLIST ~ HRIS-DATABASE...PCMEPAUTHOBJECT ~ HRIS-DATABASE.Mi...dbo.PCUSTPROFILE

Column Alias Table Outp... Sort Type Sort Order Filter Or... Or... Or... =
StartDate PCMEPGE...
EndDate PCMEPGE...

» Parameter PCMEPGE... = 'PHRPA_IMPORT_MODULE' = 'PHRPA_EXPORT_MODULE' -
StartDate EndDate Parameter Sequence Medule Operator] Valuel Operator2 Value2
19000101 99991231 PHRPA_EXPORT_MODULE 1 PA = PADG
19000101 99991231 PHRPA_EXPORT_MODULE 2 ™ = TMO2
19000101 99991231 PHRPA_EXPORT_MODULE 3 Py = PY03
19000101 99991231 PHRPA_EXPORT_MODULE 4 BMNM = BNMO4
19000101 99991231 PHRPA_EXPORT_MODULE 5 LM = BMNLO2
19000101 99991231 PHRPA_EXPORT_MODULE & RC = RCO2
19000101 99991231 PHRPA_EXPORT_MODULE 7 v = V04
19000101 99991231 PHRPA_EXPORT_MODULE H TR = TRO4
19000101 99991231 PHRPA_EXPORT_MODULE 9 TL = TLOB
19000101 99991231 PHRPA_EXPORT_MODULE 10 PM = PMO5
19000101 99991231 PHRPA_IMPORT_MODULE 1 PA = Pa02
19000101 99991231 PHRPA_IMPORT_MODULE 2 ™ = TMO2Z
19000101 99991231 PHRPA_IMPORT_MODULE 3 Py = PY03
19000101 99991231 PHRPA_IMPORT_MODULE 4 BMM = BMNMO4
19000101 99991231 PHRPA_IMPORT_MODULE 5 LM = BMNLOZ
19000101 99991231 PHRPA_IMPORT_MODULE 6 v = V04

» 19000101 99991231 PHRPA_IMPORT_MODULE T PM = PMO4

N NULL NULL NULL MULL NULL NULL NULL NULL NULL
£ >

#4 - 09/09/2022 04:23 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

export

EDIT SMENU

PMO05 PM 5 ES EMPDATA 0 1 0 /Page/exportPMO05 1 Export Performance Data
minovais 20160606100750 minovais 20160728114411 NULL 0

PENMBAHAN FILE PADA ui
...\UNapp\view\masterdata\ViewexportPM05.js
..\UI\Pages\exportPM05.html
...\U\Pages\exportPMO05.js

import

penambahan pada folder page
....\Pages\exportPM05.js
...\Pages\exportPMO05.html

panambahan pada folder app view
...\app\view\masterdata\ViewexportPM05.js

panambahan pada folder app controller
...\app\controller\masterdata\CtrIExportMD.js
#5 - 09/09/2022 05:00 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Menu Import sepakat untuk dihilangkan, menu export sudah berjalan.

Files
